Bug 164837 - Use GET for buildsys web forms
Use GET for buildsys web forms
Status: CLOSED RAWHIDE
Product: Fedora Infrastructure
Classification: Retired
Component: extras buildsys (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Jeremy Katz
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 14:30 EDT by Ville Skyttä
Modified: 2007-04-18 13:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-11 15:33:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use GET for web UI forms (1.69 KB, patch)
2005-08-01 14:30 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2005-08-01 14:30:40 EDT
Attached is a patch for the buildsys web interface, changing use of POST to  
GET for all forms: there's not that much data sent that would need POST, and  
using GET makes the UI more back/forward/reload friendly in browsers.  
Untested, but "trivial, should work (tm)".
Comment 1 Ville Skyttä 2005-08-01 14:30:47 EDT
Created attachment 117351 [details]
Use GET for web UI forms
Comment 2 Seth Vidal 2005-08-01 14:41:59 EDT
try appending email= to the strings in the current web interface.

I think you'll find they just work.

Comment 4 Ville Skyttä 2005-08-02 03:51:17 EDT
Sure, but why on earth should I have to type something to the URL while there's
a web interface for human consumption for it?

A counterexample:

Enter "117" to the "Job ID" text box, and click "Go".  Now, hit the browser's
reload button and be annoyed by the browser's confirmation dialog about
resending the form POST data.  If GET was used instead of POST, this would Just
Work(tm).
Comment 5 Dan Williams 2005-08-11 15:33:59 EDT
committed to CVS, will be in 0.3.1

Note You need to log in before you can comment on or make changes to this bug.